Skip to main content
POST
/
2025-01
/
retail-media
/
accounts
/
{account-id}
/
campaigns
/2025-01/retail-media/accounts/{account-id}/campaigns
curl --request POST \
  --url https://api.criteo.com/2025-01/retail-media/accounts/{account-id}/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "accountId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "isAutoDailyPacing": true,
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "budget": 123,
      "budgetRemaining": 123,
      "budgetSpent": 123,
      "clickAttributionWindow": "30D",
      "companyName": "<string>",
      "dailyPacing": 123,
      "drawableBalanceIds": [
        "<string>"
      ],
      "endDate": "2023-11-07T05:31:56Z",
      "monthlyPacing": 123,
      "onBehalfCompanyName": "<string>",
      "promotedBrandIds": [
        "<string>"
      ],
      "retailerId": 123,
      "startDate": "2023-11-07T05:31:56Z",
      "type": "auction",
      "viewAttributionWindow": "none"
    }
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

The given account id

Body

application/json

The campaign settings to create a campaign with

An object that represents the available options to set when creating a Retail Media Campaign

data
object

A JSON:API wrapper class to format a with Type, and Attributes properties

Response

201 - application/json

Success

A JSON:API wrapper class to add one JSON:API within a data property

data
object
required

A JSON:API wrapper class to format a with Id, Type, and Attributes properties

errors
object[]
warnings
object[]